List the secret **names** at a scope (ADR-0014) — never the values.
GET
/v1/secrets
const url = 'https://example.com/v1/secrets?org=example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/v1/secrets?org=example'Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”org
required
string
Owning org
repo
string
Repo (repo/env scope)
environment
string
Environment (env scope)
Responses
Section titled “Responses”Media typeapplication/json
GET /v1/secrets body: the secret names at a scope. Values are never
listed.
object
names
required
Array<string>
Examplegenerated
{ "names": [ "example" ]}Secrets not configured